package cn.superdesk.uniorder.dubbo.provider.order.old;

import cn.superdesk.uniorder.dao.entity.sys.SysGood;
import cn.superdesk.uniorder.service.order.old.SysGoodsService;
import com.alibaba.dubbo.config.annotation.Service;
import org.springframework.beans.factory.annotation.Autowired;

import cn.superdesk.uniorder.dubbo.facade.order.old.DubboSysGoodsService;

@Deprecated
@Service(version = "1.0.0", retries = -1, timeout = 10000)
public class DubboSysGoodsServiceImpl implements DubboSysGoodsService {

	@Autowired
	private SysGoodsService sysGoodsService;

	@Override
	public void addObj(SysGood t) {
		sysGoodsService.insertSelective(t);

	}

	@Override
	public void deleteGoodBySysOrderId(String sysOrderId) {
		sysGoodsService.deleteGoodBySysOrderId(sysOrderId);
	}


}
